List of all members
clan::XMLResourceNode Class Reference
clanCore Resources

Resource node for a XMLResourceDocument. More...

`#include <xml_resource_node.h>`

## Public Member Functions
Construction
| XMLResourceNode ()
| ~XMLResourceNode ()
Attributes
bool | is_null () const
std::string | get_type () const
| Returns the resource type. More...
std::string | get_name () const
| Returns the name of the resource. More...
DomElement & | get_element ()
| Returns the DOM element describing the resource. More...
XMLResourceDocument | get_document ()
| Returns the resource document owning the resource. More...
FileSystem | get_file_system () const
| Returns the file system to load resource from. More...
std::string | get_base_path () const
| Returns the base path of the resource. More...
Operations
IODevice | open_file (const std::string &filename, File::OpenMode mode=File::open_existing, unsigned int access=File::access_read, unsigned int share=File::share_all, unsigned int flags=0) const
| Opens a file relative to the resource base path. More...
bool | operator== (const XMLResourceNode &other) const
| Compares this resource to another resource. More...

## Implementation
class | XMLResourceDocument

## Detailed Description

Resource node for a XMLResourceDocument.

The documentation for this class was generated from the following file:

- xml_resource_node.h